GNU bug report logs - #59747
[PATCH] services: configuration: rework alist? procedure

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: mirai@HIDDEN; Keywords: patch; dated Thu, 1 Dec 2022 18:11:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 59747 <at> debbugs.gnu.org:


Received: (at 59747) by debbugs.gnu.org; 8 Dec 2022 12:07:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 08 07:07:15 2022
Received: from localhost ([127.0.0.1]:56413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3FgI-0008Pf-U1
	for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 07:07:15 -0500
Received: from smtpm2.myservices.hosting ([185.26.105.233]:60212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mirai@HIDDEN>) id 1p3FgH-0008PZ-7q
 for 59747 <at> debbugs.gnu.org; Thu, 08 Dec 2022 07:07:13 -0500
Received: from mail1.netim.hosting (unknown [185.26.106.172])
 by smtpm2.myservices.hosting (Postfix) with ESMTP id 0FC7B20379
 for <59747 <at> debbugs.gnu.org>; Thu,  8 Dec 2022 13:07:11 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
 by mail1.netim.hosting (Postfix) with ESMTP id C2B4480097;
 Thu,  8 Dec 2022 13:07:11 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail1.netim.hosting
Received: from mail1.netim.hosting ([127.0.0.1])
 by localhost (mail1-1.netim.hosting [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 0nTXfj3Jjn_R; Thu,  8 Dec 2022 13:07:11 +0100 (CET)
Received: from guix-nuc.home.arpa (bl12-93-156.dsl.telepac.pt [85.245.93.156])
 (Authenticated sender: lumen@HIDDEN)
 by mail1.netim.hosting (Postfix) with ESMTPSA id 0188D80096;
 Thu,  8 Dec 2022 13:07:10 +0100 (CET)
From: mirai@HIDDEN
To: 59747 <at> debbugs.gnu.org
Subject: [PATCH v2] services: configuration: rework alist? procedure
Date: Thu,  8 Dec 2022 12:07:06 +0000
Message-Id: <f23b777741fcf9daeb7746e8dc93391fd66e771f.1670501226.git.mirai@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59747
Cc: Bruno Victal <mirai@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Bruno Victal <mirai@HIDDEN>

* gnu/services/configuration.scm: rework alist? procedure
---
 gnu/services/configuration.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/services/configuration.scm b/gnu/services/configuration.scm
index 2b3bd4c1f4..e0a5bd6728 100644
--- a/gnu/services/configuration.scm
+++ b/gnu/services/configuration.scm
@@ -436,7 +436,8 @@ (define (list-of pred?)
 (define list-of-strings?
   (list-of string?))
 
-(define alist? list?)
+(define alist?
+  (list-of pair?))
 
 (define serialize-file-like empty-serializer)
 

base-commit: fc774ece918d765f871d2fd079e622188e23f2da
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#59747; Package guix-patches. Full text available.

Message received at 59747-done <at> debbugs.gnu.org:


Received: (at 59747-done) by debbugs.gnu.org; 8 Dec 2022 11:59:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 08 06:59:14 2022
Received: from localhost ([127.0.0.1]:56357 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3FYY-00060H-I1
	for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 06:59:14 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56166)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1p3FYW-00060A-Qs
 for 59747-done <at> debbugs.gnu.org; Thu, 08 Dec 2022 06:59:13 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1p3FYR-0008TM-Ce; Thu, 08 Dec 2022 06:59:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=DumHM0bJJmkm6eDZwNYytRBwhyxvSF3wi++wESoyODs=; b=dXYWOCpbTn1oM1OBXWgp
 iJC8BDCUBcnDen4c2GWWQBUOPzrXfsmBlHYf03nMmYEAhLXIkT8dSiamM8h+/6fFgrkHau8G3XE2F
 +c8fgHr4YefBAVUZI83kkq+tnCF/MylFHb6d2safbc2rNGuXihlTis0rL9XXIEI8Vrlr/VqBvv7uK
 XaL3D7Mj9HUP0kUW+z/UPCow/I+qHJv4hNY7EWToUyTFGh5MYrCuGxcEx1UdIlzWHCfC6rPXQau3B
 KktD6gQCReds4pO6wtvCEvjzu/Nbyv8QM4KROyORqvBAU876zTSetlPJHazRzBX+QnEy9KaBesQGR
 v7v/PlxiwIdKzQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201] helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1p3FYQ-0000JJ-TI; Thu, 08 Dec 2022 06:59:07 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: mirai@HIDDEN
Subject: Re: bug#59747: [PATCH] services: configuration: rework alist?
 procedure
References: <b2f1c8cccc1c6150b7fc3d56af828c883186bdb7.1669918166.git.mirai@HIDDEN>
Date: Thu, 08 Dec 2022 12:59:05 +0100
In-Reply-To: <b2f1c8cccc1c6150b7fc3d56af828c883186bdb7.1669918166.git.mirai@HIDDEN>
 (mirai@HIDDEN's message of "Thu, 1 Dec 2022 18:09:47 +0000")
Message-ID: <87wn72ds3a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59747-done
Cc: 59747-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

mirai@HIDDEN skribis:

> From: Bruno Victal <mirai@HIDDEN>
>
> * gnu/services/configuration.scm: rework alist? procedure

I simplified it a bit and applied.

Note that there are two other =E2=80=98*-alist?=E2=80=99 procedures=E2=80=A6

But really, it=E2=80=99s the kind of predicate that shouldn=E2=80=99t be us=
ed because
there=E2=80=99s no disjoint alist data type in the first place.  It may be a
sign that we should use records instead in those places.

Thanks,
Ludo=E2=80=99.




Notification sent to mirai@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Dec 2022 18:10:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 01 13:10:04 2022
Received: from localhost ([127.0.0.1]:41150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p0o0Z-0000FG-U8
	for submit <at> debbugs.gnu.org; Thu, 01 Dec 2022 13:10:04 -0500
Received: from lists.gnu.org ([209.51.188.17]:34028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mirai@HIDDEN>) id 1p0o0U-0000Ei-KK
 for submit <at> debbugs.gnu.org; Thu, 01 Dec 2022 13:10:02 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mirai@HIDDEN>) id 1p0o0U-0005Bn-D2
 for guix-patches@HIDDEN; Thu, 01 Dec 2022 13:09:58 -0500
Received: from smtpm5.myservices.hosting ([185.26.105.236])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mirai@HIDDEN>) id 1p0o0R-00089b-EU
 for guix-patches@HIDDEN; Thu, 01 Dec 2022 13:09:57 -0500
Received: from mail1.netim.hosting (unknown [185.26.106.172])
 by smtpm5.myservices.hosting (Postfix) with ESMTP id A725C20C03
 for <guix-patches@HIDDEN>; Thu,  1 Dec 2022 19:09:52 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
 by mail1.netim.hosting (Postfix) with ESMTP id 60BEC80097;
 Thu,  1 Dec 2022 19:09:52 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail1.netim.hosting
Received: from mail1.netim.hosting ([127.0.0.1])
 by localhost (mail1-1.netim.hosting [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id mojQ6jAtVhku; Thu,  1 Dec 2022 19:09:51 +0100 (CET)
Received: from guix-nuc.home.arpa (bl12-93-156.dsl.telepac.pt [85.245.93.156])
 (Authenticated sender: lumen@HIDDEN)
 by mail1.netim.hosting (Postfix) with ESMTPSA id A995680093;
 Thu,  1 Dec 2022 19:09:51 +0100 (CET)
From: mirai@HIDDEN
To: guix-patches@HIDDEN
Subject: [PATCH] services: configuration: rework alist? procedure
Date: Thu,  1 Dec 2022 18:09:47 +0000
Message-Id: <b2f1c8cccc1c6150b7fc3d56af828c883186bdb7.1669918166.git.mirai@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.26.105.236; envelope-from=mirai@HIDDEN;
 helo=smtpm5.myservices.hosting
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Bruno Victal <mirai@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From: Bruno Victal <mirai@HIDDEN>

* gnu/services/configuration.scm: rework alist? procedure
---
 gnu/services/configuration.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/services/configuration.scm b/gnu/services/configuration.scm
index dacfc52ba9..5bbb032c66 100644
--- a/gnu/services/configuration.scm
+++ b/gnu/services/configuration.scm
@@ -436,7 +436,11 @@ (define (list-of pred?)
 (define list-of-strings?
   (list-of string?))
 
-(define alist? list?)
+(define alist?
+  (match-lambda
+    (() #t)
+    ((and (= car head) (= cdr tail)) (and (pair? head) (alist? tail)))
+    (_ #f)))
 
 (define serialize-file-like empty-serializer)
 

base-commit: 748ec628826cea3faa3679074d87fae9bc810080
-- 
2.38.1





Acknowledgement sent to mirai@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#59747; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 10 Dec 2022 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.